Автор Тема: Debian 3r1 - Install  (Прочетена 15313 пъти)

  • Гост
Debian 3r1 - Install
« Отговор #15 -: Nov 10, 2003, 19:29 »
Sto se kasae do ATI-to, stom e s TV-tuner, mozesh da se poogledash na http://gatos.sourceforge.net/. Az imam comp s ATI Rage 128, no samo s TV-Out, ta pri nego problemi niamashe. Na drugija mi komp, obache, ima ATI Radeon 7500 i tam ne mina bez tezi drajveri.
Osven tova, ot izhoda na startx-a se vijda, che verojatno ne e opredelen BusID:  "Assigning device section with no busID to primary device".
Taka che, mozesh da razgledash /etc/X11/XF86Config-4 i tam da potyrsish reda BusID      ".....". Na miastoto na tochkite triabva da zapishesh BusID na tvoiata videokarta. Za celta pusni komandata lspci:
alex@eagle:~lspci
00':0'0.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 03)
00':0'1.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 03)
...
...
01':0'0.0 VGA compatible controller: nVidia Corporation NV6 [Vanta/Vanta LT] (rev 15)

tova e izhoda it lspci na sluzebnia mi comp. Obyrni vnimanie na posledia red: "01':0'0.0".
Suotvetno v sekciata "Device" na fajla /etc/X11/XF86Config-4 imam:
BusID       "PCI:1':0':0"
Probvaj i tova, moze da pomogne.
Best wishes!
Alex
Активен

Agent_SMITH

  • Administrator
  • Напреднали
  • *****
  • Публикации: 3082
  • matrix kernel module
    • Профил
Debian 3r1 - Install
« Отговор #16 -: Nov 11, 2003, 00:14 »
Ник - не питай защо, но преинсталирах от нула дебиана, този път с TFM в ръка. '<img'>

Сега първо RTFM, и после стъпка по стъпка правя това, което пише, че трябва. Ползвам debianuniverse HOWTO, и българската книга тук - пасна ми формата.

Сега съм на път да инсталирам Х. До тук добре, както се казваше във вица, но се сблъсках с един изненадващ проблем - когато напиша apt-get update системата ми връща  грешка Error - Dynamic MMap ran out of room. Cannot open or parse...

На много места в google/linux и по форумите е писано, но не намерих конкретно обяснено какво не е наред - някои даже цитират идентичен случай (тук)
но не мога да разбера в края на краищата точно как мога да го оправя. BTW - ползвам sources.list от твоя /etc (бавничко стоплям за какво е качена там тая директория, ама полекичка... ) '<img'> Как да се оправя с ММАР проблема на apt-get? Решения? Нужда от допълнителна информация?

p.s. Благодаря на -fen- : нямах никакви проблеми с НТЛДР, и добавянето на дебиан към ОС за избор.

p.p.s. Благодаря и на alex_c - ще прегледам GATOS преди да инсталирам Х.
Активен

-= СПАЗВАЙТЕ ПРАВИЛАТА НА ФОРУМА =-

ivo_bg

  • Напреднали
  • *****
  • Публикации: 28
    • Профил
Debian 3r1 - Install
« Отговор #17 -: Nov 11, 2003, 10:11 »
Проблема е, че не си се побрал в стойността зададена от APT::Cache-Limit (/etc/apt/apt.conf) или пък въобще нямаш
conf файл. Както и Никола ти каза вече няколко пъти - за конфигурация на apt гледаш тук:http://config.debian-nikola.homelinux.net/apt/
Активен

Agent_SMITH

  • Administrator
  • Напреднали
  • *****
  • Публикации: 3082
  • matrix kernel module
    • Профил
Debian 3r1 - Install
« Отговор #18 -: Nov 12, 2003, 00:42 »
ivo_bg:

Моя грешка, признавам - не съм копирал правилно всички файлове. Направо съм пропуснал apt.conf. Грешката отстранена - както и другите настройки - бачка като ракета.

Благодарение на класическото RTFM подкарах Х. В интерес на истината сега малко ме дразни. Искам си обратно конзолата, или най-добре да си имам Х, но и конзоли, между които да си превключвам с ALT+F1(F2-F6). По спомени от РедХет беше някъде по init.rd? Пак ще се чете. '<img'>

Следващия въпрос - понеже искам да си инсталирам KDE - как ви се струва тази инструкция? Така описния подход ми се струва прекалено лесен (направо и новобранец плаши). Дайте мнение - става или не става?

Поздрави,
Smith
Активен

-= СПАЗВАЙТЕ ПРАВИЛАТА НА ФОРУМА =-

n_antonov

  • Напреднали
  • *****
  • Публикации: 1185
    • Профил
    • WWW
Debian 3r1 - Install
« Отговор #19 -: Nov 12, 2003, 09:04 »
Хаха. Не ти трябва изобщо този подход, защото има и по-лесен.

apt-get install kdebase kdenetwork kdemultimedia kdeartwork kdegraphics kdm

Пишеш това накуп, едно към едно, както съм ти го дал, и си готов. Можеш да добавиш и пакета kdepim, както и kdeedu, kdegames и quanta примерно. Това са метапакети. Какво означав това и други подробности за управлението на пакетите в Дебиан, прочети в книгата.



Активен

-------------------------------------------------------------------------
./debian/rules

Agent_SMITH

  • Administrator
  • Напреднали
  • *****
  • Публикации: 3082
  • matrix kernel module
    • Профил
Debian 3r1 - Install
« Отговор #20 -: Nov 13, 2003, 01:29 »
Като невидял съм мамка му... ама пусто, апетита идва с яденето... като гледам как apt-get install работи, и ми се пълни душата. И като каза Ник - драснах аз

# apt-get install

ама после добавих

# apt-get install kdebase kdeaddons kdeartwork kdeadmin kdeedu kdegames kdegraphics kdelibs kdemultimedia kdenetwork kdepim kdetoys kdeutils quanta

'<img'> лакома работа, ма като не знам къде се крият нещата дето ми трябват...

естествено, apt-get не понесе това мое издевателство, и скромно каза:

Reading Package Lists...
Building Dependency Tree...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  kdebase: Depends: ksysguard (>= 4:3.1.3-1) but it is not going to be installed
  kdemultimedia: Depends: artsbuilder (>= 4:3.1.2-1.1) but 4:3.1.2-1 is to be installed
                 Depends: kaboodle (>= 4:3.1.2-1.1) but it is not going to be installed
                 Depends: kaudiocreator (>= 4:3.1.2-1.1) but it is not going to be installed
                 Depends: kdemultimedia-kfile-plugins (>= 4:3.1.2-1.1) but it is not going to be installed
                 Depends: kdemultimedia-kio-plugins (>= 4:3.1.2-1.1) but it is not going to be installed
                 Depends: kmid (>= 4:3.1.2-1.1) but it is not going to be installed
                 Depends: kmidi (>= 4:3.1.2-1.1) but it is not going to be installed
                 Depends: kmix (>= 4:3.1.2-1.1) but it is not going to be installed
                 Depends: krec (>= 4:3.1.2-1.1) but it is not going to be installed
                 Depends: kscd (>= 4:3.1.2-1.1) but it is not going to be installed
                 Depends: libarts1-audiofile (>= 4:3.1.2-1.1) but it is not going to be installed
                 Depends: libarts1-mpeglib (>= 4:3.1.2-1.1) but it is not going to be installed
                 Depends: libarts1-xine (>= 4:3.1.2-1.1) but it is not going to be installed
                 Depends: mpeglib (>= 4:3.1.2-1.1) but it is not going to be installed
                 Depends: noatun (>= 4:3.1.2-1.1) but 4:3.1.2-1 is to be installed

За да е всичко в "синхрон" преди това уливане от моя страна изпълних
# apt-get update
# apt-get dist-upgrade
като всичко мина по мед и масло...

По принцип в КДЕ ми трябва някакъв Office (OpenOffice например), K3D да си пека дискове, Мозила, читав IRC клиент, XMMS, Mplayer и май друго за сега не се сещам... за кво ми е КДЕ ли? Харесва ми как изглежда. '<img'>

Съвети? Идеи? Тука съм, готов за градивна критика по мой адрес.

Smith
Активен

-= СПАЗВАЙТЕ ПРАВИЛАТА НА ФОРУМА =-

n_antonov

  • Напреднали
  • *****
  • Публикации: 1185
    • Профил
    • WWW
Debian 3r1 - Install
« Отговор #21 -: Nov 13, 2003, 09:00 »
В Дебиан има всичко. Търси пакетите с apt-cache. Ето пример:

nikola@debian-nikola:~$ apt-cache search openoffice
myhungarian - The Hungarian dictionary for OpenOffice.
dmake - make utility used to build OpenOffice.org
libming-fonts-openoffice - Fonts for use with the Ming Library for SWF Creation
libspreadsheet-writeexcel-perl - Perl5 module to create Excel spreadsheets
myspell-bg - The Bulgarian dictionary for myspell
myspell-de-at - Austrian (German) dictionary for myspell
myspell-de-ch - Swiss (German) dictionary for myspell
myspell-de-de - German dictionary for myspell
myspell-en-gb - English (GB) dictionary for myspell
myspell-en-us - English (US) dictionary for myspell
myspell-es - The Spanish dictionary for myspell
myspell-ga - An Irish (Gaeilge) dictionary for OpenOffice and Mozilla
myspell-gd - Scots Gaelic dictionary for myspell
myspell-gl-es - The Galician dictionary for myspell
myspell-gv - Manx Gaelic dictionary for myspell
myspell-hu - The Hungarian dictionary for myspell
myspell-it - Italian dictionary for myspell
myspell-lt - Lithuanian (LT) dictionary for myspell
myspell-lv - Latvian MySpell dictionary
tex4ht - LaTeX and TeX for Hypertext (HTML)
ooqstart-gnome - OpenOffice.org QuickStarter applet for GNOME 2
openoffice.org-hyphenation-da - Danish hyphenation pattern for OpenOffice.org
openoffice.org-hyphenation-de - German hyphenation pattern for OpenOffice.org
openoffice.org-hyphenation-en-gb - English (GB) hyphenation pattern for OpenOffice.org
openoffice.org-hyphenation-en-us - English (US) hyphenation pattern for OpenOffice.org
openoffice.org-hyphenation-it - Italian hyphenation pattern for OpenOffice.org
openoffice.org-hyphenation-ru - Russian hyphenation pattern for OpenOffice.org
gramps - Genealogical Research and Analysis Management Program
myspell-pt-br - The Brazilian Portuguese dictionary for myspell
oooqs-kde - OpenOffice.org QuickStarter applet for KDE
openoffice.org - high-quality office productivity suite
openoffice.org-bin - OpenOffice.org office suite binary files
openoffice.org-crashrep - OpenOffice.org crash reporting tool
openoffice.org-debian-files - Debian specific parts of OpenOffice.org
openoffice.org-gnome - GNOME desktop integration for OpenOffice.org
openoffice.org-help-de - OpenOffice.org office suite help (German)
openoffice.org-help-en - OpenOffice.org office suite help (English)
openoffice.org-help-es - OpenOffice.org office suite help (Spanish)
openoffice.org-help-fr - OpenOffice.org office suite help (French)
openoffice.org-help-it - OpenOffice.org office suite help (Italian)
openoffice.org-help-ja - OpenOffice.org office suite help (Japanese)
openoffice.org-help-sv - OpenOffice.org office suite help (Swedish)
openoffice.org-help-zh-cn - OpenOffice.org office suite help (simplified Chinese)
openoffice.org-help-zh-tw - OpenOffice.org office suite help (tradtitional Chinese)
openoffice.org-l10n-ar - Arabic language package for openoffice.org
openoffice.org-l10n-ca - Catalan language package for openoffice.org
openoffice.org-l10n-cs - Czech language package for openoffice.org
openoffice.org-l10n-da - Danish language package for openoffice.org
openoffice.org-l10n-de - German language package for openoffice.org
openoffice.org-l10n-el - Greek language package for openoffice.org
openoffice.org-l10n-en - English US language package for openoffice.org
openoffice.org-l10n-es - Spanish language package for openoffice.org
openoffice.org-l10n-fi - Finnish language package for openoffice.org
openoffice.org-l10n-fr - French language package for openoffice.org
openoffice.org-l10n-it - Italian language package for openoffice.org
openoffice.org-l10n-ja - Japanese language package for openoffice.org
openoffice.org-l10n-ko - Korean language package for openoffice.org
openoffice.org-l10n-nl - Dutch language package for openoffice.org
openoffice.org-l10n-pl - Polish language package for openoffice.org
openoffice.org-l10n-pt - Portuguese language package for openoffice.org
openoffice.org-l10n-pt-br - Portuguкs do Brasil language package for openoffice.org
openoffice.org-l10n-ru - Russian language package for openoffice.org
openoffice.org-l10n-sk - Slovak language package for openoffice.org
openoffice.org-l10n-sv - Swedish language package for openoffice.org
openoffice.org-l10n-tr - Turkish language package for openoffice.org
openoffice.org-l10n-zh-cn - Chinese Simplified language package for openoffice.org
openoffice.org-l10n-zh-tw - Chinese Traditional language package for openoffice.org
openoffice.org-mimelnk - OpenOffice.org MIME bindings for KDE
ttf-openoffice - OpenOffice TrueType Fonts

Харесваш си пакет и си го инсталираш вече с apt-get.

Относно проблема ти с KDE. Махни kdemultimedia от списъка. Явно има някакъв проблем с метапакетите.
Активен

-------------------------------------------------------------------------
./debian/rules

n_antonov

  • Напреднали
  • *****
  • Публикации: 1185
    • Профил
    • WWW
Debian 3r1 - Install
« Отговор #22 -: Nov 13, 2003, 09:05 »
За улеснение - пакетът се казва openoffice.org. k3b също фигурира, нямаш никакви проблеми да го ползваш. От книгата за Дебиан научи основните операции с apt-get и dpkg и непременно рпочети FAQ-секцията, както и главата за проблемите, които могат да възникнат понякога при инсталация и как да ги решиш. Винаги помни, че в Дебиан всеки проблем има бързо решение, а понякога не е само едно.
Активен

-------------------------------------------------------------------------
./debian/rules

Agent_SMITH

  • Administrator
  • Напреднали
  • *****
  • Публикации: 3082
  • matrix kernel module
    • Профил
Debian 3r1 - Install
« Отговор #23 -: Nov 15, 2003, 23:28 »
Yes, my master... Ник, благодаря, че проявяваш търпение.

Прочетох секцията както за apt-get и dpkg, така и FAQ секцията. За съжаление не намерих отговор на това с което се сблъсках, а именно ЛИПСАТА на даден пакет по трасето от dependencies.

Започнах само с

#apt-get install kdebase

понеже в HOWTO-то на страницата на КДЕ го пише като първа стъпка, и препоръчват СЛЕД това да се добавят всички други работи. Прецених също, че не е необходимо да се уливам, а напротив, да инсталирам гръбнака и само това което ми е нужно. Ето и какво последва:

#apt-get install kdebase
Reading Package Lists...
Building Dependency Tree...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  kdebase: Depends: ksysguard (>= 4:3.1.3-1) but it is not going to be installed

#apt-get install ksysguard
Reading Package Lists...
Building Dependency Tree...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  ksysguard: Depends: ksysguardd (= 4:3.1.3-1) but it is not going to be installed

#apt-get install ksysguardd
Reading Package Lists...
Building Dependency Tree...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  ksysguardd: Depends: libsensors-1debian1 but it is not installable

#apt-get install libsensors-1debian1
Reading Package Lists...
Building Dependency Tree...
Package libsensors-1debian1 has no available version, but exists in the database.
This typically means that the package was mentioned in a dependency and
never uploaded, has been obsoleted or is not available with the contents
of sources.list

опитах се да намеря път, връщайки се назад, и назад (което е глупаво, с оглед на факта, че АРТ прави това вместо мен), но не се чувствам спокоен и уверен да редактирам скриптовете за инсталиране, още повече не зная дали горния проблем се дължи на това?

Съвет?

Smith
p.s. sources.list при мен е всъщност твоя (съдържание=1:1)
Активен

-= СПАЗВАЙТЕ ПРАВИЛАТА НА ФОРУМА =-

Agent_SMITH

  • Administrator
  • Напреднали
  • *****
  • Публикации: 3082
  • matrix kernel module
    • Профил
Debian 3r1 - Install
« Отговор #24 -: Nov 15, 2003, 23:39 »
Ровя се, и странно, но на този адрес като скролнеш до kdebase, към 15 Ноември пише, че това си е проблем и още не е отстранен...

Продължавам да ровя.

Smith
Активен

-= СПАЗВАЙТЕ ПРАВИЛАТА НА ФОРУМА =-

IvanST

  • Напреднали
  • *****
  • Публикации: 369
    • Профил
Debian 3r1 - Install
« Отговор #25 -: Nov 15, 2003, 23:59 »
Я виж тука дали това ще ти помогне :
страница от форума
Активен

Agent_SMITH

  • Administrator
  • Напреднали
  • *****
  • Публикации: 3082
  • matrix kernel module
    • Профил
Debian 3r1 - Install
« Отговор #26 -: Nov 16, 2003, 00:10 »
А какво ще кажеш по принципния въпрос:

stable
testing
unstable?

В смисъл - разумно ли е за новобранец да бъде на тестинг, или докато не се ориентирам да се придържам към stable с тенденция да се науча да си backport-вам по-нови неща?

Smith
Активен

-= СПАЗВАЙТЕ ПРАВИЛАТА НА ФОРУМА =-

Agent_SMITH

  • Administrator
  • Напреднали
  • *****
  • Публикации: 3082
  • matrix kernel module
    • Профил
Debian 3r1 - Install
« Отговор #27 -: Nov 16, 2003, 00:16 »
Цитат (IvanST @ Ноември 16 2003,00:59)
Я виж тука дали това ще ти помогне :
страница от форума

IvanST - точно в десятката!!! Благодаря. За съжаление твоя линк не е валиден, но идеята ми е достатъчна.

Сега търпя критики, че не съм претърсил форума - и с право. Трябваше първо да драсна тук един сърч, и после да подпаля сървърите навън...

Ей сега  reboot-вам в дебиан, и действам!

Smith
Активен

-= СПАЗВАЙТЕ ПРАВИЛАТА НА ФОРУМА =-

IvanST

  • Напреднали
  • *****
  • Публикации: 369
    • Профил
Debian 3r1 - Install
« Отговор #28 -: Nov 16, 2003, 00:41 »
еми ако неможеш да намерш пакета по другите дебиан мирори драсни един ред аз го пазя .деб файла ще го кача някаде да го дръпнеш  а между другото давай на unstable   '<img'>  предостатъчно стабилен  '<img'>  '<img'> ( въпреки името)  а и има всички нови програми иначе ще трябва да ползваш старичък софтуер
Активен

Agent_SMITH

  • Administrator
  • Напреднали
  • *****
  • Публикации: 3082
  • matrix kernel module
    • Профил
Debian 3r1 - Install
« Отговор #29 -: Nov 16, 2003, 21:40 »
Както и се очакваше - наджапах, ама яко! '<img'>

По време на борбичката с КДЕ инсталацията (допускам, че е някъде при dist-upgrade... знам ли) нещо съм го объркал, но не зная какво. Знам, че съм сбъркал, но не знам къде. Защо съм сигурен ли?

След рестарт (който направих на 3-тия ден след инсталирането на КДЕ), уиндоуския НТЛДР си вади нормалното меню, от което по дифолт си избирам ЛИНУКС, само че единственото, което се появява на екран е

LI

(даже не е цялото LILO .........)

и дотам...

налага ми се да буутвам с СД1, rescue root=/dev/hdb5

това направо не си е работа обаче...

Какво забелязвам - по време на зареждането (преди xserver да почне) на няколко места изписва грешки, но с такава скорост, че докато видя *canot open* и то вече е история...

Вече пробвах, ако по време на dist-upgrade има някаква промяна, и си преписах първите 512 в ново файлче, което посочих на уиндоуския НТЛДР, но уви - не е толкова лесно.

Почвам да ровя из книгата, но насока или съвет ще ми бъде от полза.

Smith
Активен

-= СПАЗВАЙТЕ ПРАВИЛАТА НА ФОРУМА =-

Подобни теми
Заглавие Започната от Отговора Прегледи Последна публикация
Debian 3.0 Install
Настройка на програми
millennium 1 3601 Последна публикация Aug 23, 2003, 17:13
от videff
Debian install i386
Настройка на програми
The_Havoc 3 3712 Последна публикация Mar 01, 2010, 06:41
от aaaaaa
Debian Install
Настройка на програми
xfall 19 6263 Последна публикация Oct 11, 2010, 00:33
от xfall
teamviewer 12 install на Debian 9 64 bit.
Настройка на програми
Astor 47 15201 Последна публикация Oct 13, 2017, 12:33
от deant01
I occur a problem While I was trying to Install Debian 7 on my machine
Десктопи
slim 18 17967 Последна публикация May 10, 2018, 11:28
от lunarvalley